%define __os_install_post    /usr/lib/rpm/brp-compress /usr/lib/rpm/brp-strip %{__strip} /usr/lib/rpm/brp-strip-comment-note %{__strip} %{__objdump} %{nil}
%global momorel 3

Name:           mjpegtools
Version:        1.6.2
Release: %{momorel}m
Summary:	Tools for recording, editing, playing back and mpeg-encoding video under linux
License:	GPL
Url:		http://mjpeg.sourceforge.net/
Group:		Applications/Multimedia
%NoSource 0 http://download.sourceforge.net/mjpeg/mjpegtools-%{version}.tar.gz 01c0120b0182de67f182ef99ad855daa
%NoSource 1 http://download.sourceforge.net/mjpeg/quicktime4linux-1.4-patched-2.tar.gz 064fdc76dd296761f88550be5d0fbda2
%NoSource 2 http://download.sourceforge.net/mjpeg/libmovtar-0.1.3.tar.gz 3810ba83a90c52676014ab1ea6d8cd9f
%NoSource 3 http://download.sourceforge.net/mjpeg/jpeg-mmx-0.1.5.tar.gz da10eb1bdea0ca3798636b2b7a645ed8
Patch:		mjpegtools-1.6.0-sdl.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildPreReq:	DirectFB-devel, SDL-devel, arts-devel, esound-devel
BuildPreReq:	freetype2-devel, libdv >= 0.98-1m
BuildPreReq:	libjpeg-devel, libpng-devel
BuildPreReq:	avifile >= 0.7.17-0.20021028.2m

%description
The MJPEG-tools are a basic set of utilities for recording, editing, 
playing back and encoding (to mpeg) video under linux. Recording can
be done with zoran-based MJPEG-boards (LML33, Iomega Buz, Pinnacle
DC10(+), Marvel G200/G400), these can also playback video using the
hardware. With the rest of the tools, this video can be edited and
encoded into mpeg1/2 or divx video.

%package devel
Summary: Development headers and libraries for the mjpegtools
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains static libraries and C system header files
needed to compile applications that use part of the libraries
of the mjpegtools package.

%prep
%setup -q -n %{name}-%{version} -a 1 -a 2 -a 3
# %patch -p1

mv jpeg-mmx-* jpeg-mmx
mv quicktime4linux-* quicktime4linux
mv libmovtar-* libmovtar

mkdir usr

%build
tmp_prefix="`pwd`/usr"
mkdir -p $tmp_prefix/{include,lib,bin,share}

CFLAGS="`echo ${CFLAGS:-%optflags}|sed -e 's, -funroll-loops,,'|sed -e 's, -fstack-protector,,'`" ; export CFLAGS
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS

%ifarch %{ix86}
(cd jpeg-mmx && ./configure)
make -C jpeg-mmx libjpeg-mmx.a
%endif

(cd quicktime4linux && \
%ifarch %{ix86}
./configure --use-dv --use-firewire
%else 
./configure --no-mmx --use-dv --use-firewire
%endif
)
make -C quicktime4linux
rm -rf quicktime4linux/libdv

%ifarch %{ix86}
CONF_ARGS="--with-jpeg-mmx=`pwd`/jpeg-mmx"

(cd libmovtar && 
   ./configure --prefix="$tmp_prefix" \
	--with-m4data-prefix="$tmp_prefix/share/aclocal" \
	$CONF_ARGS )

make -C libmovtar
make -C libmovtar install

CONF_ARGS="$CONF_ARGS --prefix=%{_prefix}"

(cd libmovtar&& ./configure $CONF_ARGS)
make -C libmovtar
%endif

CONF_ARGS="$CONF_ARGS --with-quicktime=`pwd`/quicktime4linux"
%ifarch %{ix86}
CONF_ARGS="$CONF_ARGS --with-movtar-prefix=$tmp_prefix"
MOVTAR_CONFIG=$tmp_prefix/bin/movtar-config; export MOVTAR_CONFIG
%endif
./configure $CONF_ARGS --enable-large-file --enable-cmov-extension
%make

%install
rm -rf %{buildroot}
%ifarch %{ix86}
%makeinstall -C libmovtar m4datadir=%{buildroot}%{_datadir}/aclocal
%endif
%makeinstall
# remove unnecessary dependencies
perl -p -i -e 's, -lquicktime,,' %{buildroot}%{_libdir}/*la
perl -p -i -e 's, -ljpeg-mmx,,' %{buildroot}%{_libdir}/*la
rm -f %{buildroot}%{_bindir}/multiblend.flt
rm -f %{buildroot}%{_infodir}/dir

%post
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS CHANGES COPYING HINTS PLANS README TODO
%{_bindir}/pgmtoy4m
%{_bindir}/yuvfps
%{_bindir}/yuvinactive
%{_bindir}/glav
%{_bindir}/jpeg2yuv
%{_bindir}/lav2avi.sh
%{_bindir}/lav2mpeg
%{_bindir}/lav2wav
%{_bindir}/lav2yuv
%{_bindir}/lavaddwav
%{_bindir}/lavinfo
%{_bindir}/lavpipe
%{_bindir}/lavplay
%{_bindir}/lavrec
%{_bindir}/lavtrans
%{_bindir}/lavvideo
%{_bindir}/matteblend.flt
%{_bindir}/mp2enc
%{_bindir}/mpeg2enc
%{_bindir}/mpegtranscode
%{_bindir}/mplex
%{_bindir}/png2yuv
%{_bindir}/ppmtoy4m
%{_bindir}/testrec
%{_bindir}/transist.flt
%{_bindir}/y4mblack
%{_bindir}/y4mcolorbars
%{_bindir}/y4mshift
%{_bindir}/y4mtoppm
%{_bindir}/y4mtoyuv
%{_bindir}/ypipe
%{_bindir}/yuv2lav
%{_bindir}/yuv4mpeg
%{_bindir}/yuvcorrect
%{_bindir}/yuvcorrect_tune
%{_bindir}/yuvdenoise
%{_bindir}/yuvkineco
%{_bindir}/yuvmedianfilter
%{_bindir}/yuvplay
%{_bindir}/yuvscaler
%{_bindir}/yuvycsnoise
%{_libdir}/*.so.*
%{_mandir}/man1/*
%{_mandir}/man5/*
%ifarch %{ix86}
%{_bindir}/movtar_index
%{_bindir}/movtar_play
%{_bindir}/movtar_setinfo
%{_bindir}/movtar_split
%{_bindir}/movtar_unify
%{_bindir}/movtar_yuv422
%{_bindir}/pnm2rtj
%{_bindir}/rtjshow
%endif
%{_infodir}/mjpeg-howto.info*

%files devel
%defattr(-,root,root)
%{_bindir}/*-config
%{_includedir}/mjpegtools
%ifarch %{ix86}
%{_includedir}/movtar.h
%{_datadir}/aclocal/*.m4
%endif
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.6.2-3m)
- rebuild against libdv-0.102

* Sat May  1 2004 Toru Hoshina <t@momonga-linux.org>
- (1.6.2-2m)
- revised spec for rpm 4.2.1.

* Thu Apr 29 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.6.2-1m)
- update mjepgtools to 1.6.2, jpeg-mmx to 0.1.5
- - ommit -fstak-protector from CFLAGS (avoid internal compiler error in making lavtools/yuvscaler)
- - *divx* tools has been replaced by lav2avi.sh
- - some new tools

* Tue Mar 23 2004 Toru Hoshina <t@momonga-linux.org>
- (1.6.1-2m)
- revised spec for enabling rpm 4.2.

* Wed Jun  4 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.6.1-1m)
  update to 1.6.1(rebuild against DirectFB 0.9.18)

* Sat Mar 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.6.0-10m)
- rebuild against for XFree86-4.3.0

* Wed Jan 15 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.0-9m)
- add defattr at files devel section

* Fri Jan 10 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.0-8m)
- BuildPreReq: libdv >= 0.98-1m for libdv.so.2

* Fri Jan 3 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.0-7m)
- rebuild against for libdv

* Thu Jan 2 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.0-6m)
- add BuildPreReq: libdv >= 0.9.5-9m for /usr/lib/libdv.so

* Sun Dec 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.6.0-5m)
- remove unnecessary dependencies from '*.la'

* Sun Dec 15 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.6.0-4m)
- revise for ppc and spec cleanup

* Sat Nov  2 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.6.0-3m)
- add --with-dv-prefix=%{_includedir}/libdv

* Wed Oct 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.6.0-2m)
- enable dv and firewire on building quicktime4linux

* Tue Oct 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.6.0-1m)

* Tue Feb 12 2002 Geoffrey T. Dairiki <dairiki@dairiki.org>
- Fix spec file to build in one directory, etc...

* Thu Dec 06 2001 Ronald Bultje <rbultje@ronald.bitfreak.net>
- separated mjpegtools and mjpegtools-devel
- added changes by Marcel Pol <mpol@gmx.net> for cleaner RPM build

* Wed Jun 06 2001 Ronald Bultje <rbultje@ronald.bitfreak.net>
- 1.4.0-final release, including precompiled binaries (deb/rpm)
